WinShopAPI docs
ReferenceItem lists

Seasons

List seasons

GET
/api/item-lists/seasons

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/seasons' \  -H 'Authorization: Bearer <access-token>'
[  {    "id": 0,    "name": "string",    "nameForEshop": "string",    "season": "string"  }]

Create a season

POST
/api/item-lists/seasons

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 80
nameForEshop?|
Lengthlength <= 120
season?|
Lengthlength <= 30

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
nameForEshop?|
Lengthlength <= 120
season?|
Lengthlength <= 30
curl -X POST 'https://<your-instance>/api/item-lists/seasons' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string",  "nameForEshop": "string",  "season": "string"}

Get a season

GET
/api/item-lists/seasons/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
nameForEshop?|
Lengthlength <= 120
season?|
Lengthlength <= 30
curl -X GET 'https://<your-instance>/api/item-lists/seasons/0' \  -H 'Authorization: Bearer <access-token>'
{  "id": 0,  "name": "string",  "nameForEshop": "string",  "season": "string"}

Update a season

PATCH
/api/item-lists/seasons/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
id?integer
Formatint32
name?|
Lengthlength <= 80
nameForEshop?|
Lengthlength <= 120
season?|
Lengthlength <= 30

Response Body

application/json
  1. response
id?integer
Formatint32
name?|
Lengthlength <= 80
nameForEshop?|
Lengthlength <= 120
season?|
Lengthlength <= 30
curl -X PATCH 'https://<your-instance>/api/item-lists/seasons/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "id": 0,  "name": "string",  "nameForEshop": "string",  "season": "string"}

Delete a season

DELETE
/api/item-lists/seasons/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/seasons/0' \  -H 'Authorization: Bearer <access-token>'
Empty